# Class CIM_ZoneSet
extends CIM_ConnectivityCollection

A ZoneSet is a group of zones that are managed collectively by the same domain. The managing domain is indicated by the HostedCollection association. For example, for Fibre Channel, this property would indicate a set of zones that are part of a fabric. The zones are under enforcement by the fabric, only if the Zoneset is set to active.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_SystemSpecificCollection
|
+--CIM_ConnectivityCollection
|
+--CIM_ZoneSet

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A ZoneSet is a group of zones that are managed collectively by the same domain. The managing domain is indicated by the HostedCollection association. For example, for Fibre Channel, this property would indicate a set of zones that are part of a fabric. The zones are under enforcement by the fabric, only if the Zoneset is set to active.
UMLPackagePath | string | CIM::Device::FC
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Active | boolean |
Description | string | Indicates that this ZoneSet is currently active (that is, under enforcement of a fabric). This property can be used to distinguish between a ZoneSet that is currently active and a snapshot of a ZoneSet (with the same InstanceName) that is for "offline" editing.
Required | boolean | true
Write | boolean | true
ElementName | string |
Description | string | A user-friendly name for the ZoneSet that is unique within the AdminDomain.
Override | string | ElementName
Required | boolean | true
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ConnectivityStatus | uint16 | CIM_ConnectivityCollection
Description | string | CIM_ManagedElement
InstanceID | string | CIM_SystemSpecificCollection

## Class Methods